package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TDcsqtinfoExample {
    /**
     * t_dcsqtinfo
     */
    protected String orderByClause;

    /**
     * t_dcsqtinfo
     */
    protected boolean distinct;

    /**
     * t_dcsqtinfo
     */
    protected List<Criteria> oredCriteria;

    public TDcsqtinfoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_dcsqtinfo 2019-01-16
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeIsNull() {
            addCriterion("v_dcs_code is null");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeIsNotNull() {
            addCriterion("v_dcs_code is not null");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeEqualTo(String value) {
            addCriterion("v_dcs_code =", value, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeNotEqualTo(String value) {
            addCriterion("v_dcs_code <>", value, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeGreaterThan(String value) {
            addCriterion("v_dcs_code >", value, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_dcs_code >=", value, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeLessThan(String value) {
            addCriterion("v_dcs_code <", value, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeLessThanOrEqualTo(String value) {
            addCriterion("v_dcs_code <=", value, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeLike(String value) {
            addCriterion("v_dcs_code like", value, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeNotLike(String value) {
            addCriterion("v_dcs_code not like", value, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeIn(List<String> values) {
            addCriterion("v_dcs_code in", values, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeNotIn(List<String> values) {
            addCriterion("v_dcs_code not in", values, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeBetween(String value1, String value2) {
            addCriterion("v_dcs_code between", value1, value2, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsCodeNotBetween(String value1, String value2) {
            addCriterion("v_dcs_code not between", value1, value2, "vDcsCode");
            return (Criteria) this;
        }

        public Criteria andVDcsNameIsNull() {
            addCriterion("v_dcs_name is null");
            return (Criteria) this;
        }

        public Criteria andVDcsNameIsNotNull() {
            addCriterion("v_dcs_name is not null");
            return (Criteria) this;
        }

        public Criteria andVDcsNameEqualTo(String value) {
            addCriterion("v_dcs_name =", value, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameNotEqualTo(String value) {
            addCriterion("v_dcs_name <>", value, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameGreaterThan(String value) {
            addCriterion("v_dcs_name >", value, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameGreaterThanOrEqualTo(String value) {
            addCriterion("v_dcs_name >=", value, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameLessThan(String value) {
            addCriterion("v_dcs_name <", value, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameLessThanOrEqualTo(String value) {
            addCriterion("v_dcs_name <=", value, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameLike(String value) {
            addCriterion("v_dcs_name like", value, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameNotLike(String value) {
            addCriterion("v_dcs_name not like", value, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameIn(List<String> values) {
            addCriterion("v_dcs_name in", values, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameNotIn(List<String> values) {
            addCriterion("v_dcs_name not in", values, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameBetween(String value1, String value2) {
            addCriterion("v_dcs_name between", value1, value2, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andVDcsNameNotBetween(String value1, String value2) {
            addCriterion("v_dcs_name not between", value1, value2, "vDcsName");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhIsNull() {
            addCriterion("i_begin_tdh is null");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhIsNotNull() {
            addCriterion("i_begin_tdh is not null");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhEqualTo(Integer value) {
            addCriterion("i_begin_tdh =", value, "iBeginTdh");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhNotEqualTo(Integer value) {
            addCriterion("i_begin_tdh <>", value, "iBeginTdh");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhGreaterThan(Integer value) {
            addCriterion("i_begin_tdh >", value, "iBeginTdh");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhGreaterThanOrEqualTo(Integer value) {
            addCriterion("i_begin_tdh >=", value, "iBeginTdh");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhLessThan(Integer value) {
            addCriterion("i_begin_tdh <", value, "iBeginTdh");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhLessThanOrEqualTo(Integer value) {
            addCriterion("i_begin_tdh <=", value, "iBeginTdh");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhIn(List<Integer> values) {
            addCriterion("i_begin_tdh in", values, "iBeginTdh");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhNotIn(List<Integer> values) {
            addCriterion("i_begin_tdh not in", values, "iBeginTdh");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhBetween(Integer value1, Integer value2) {
            addCriterion("i_begin_tdh between", value1, value2, "iBeginTdh");
            return (Criteria) this;
        }

        public Criteria andIBeginTdhNotBetween(Integer value1, Integer value2) {
            addCriterion("i_begin_tdh not between", value1, value2, "iBeginTdh");
            return (Criteria) this;
        }

        public Criteria andIEndTdhIsNull() {
            addCriterion("i_end_tdh is null");
            return (Criteria) this;
        }

        public Criteria andIEndTdhIsNotNull() {
            addCriterion("i_end_tdh is not null");
            return (Criteria) this;
        }

        public Criteria andIEndTdhEqualTo(Integer value) {
            addCriterion("i_end_tdh =", value, "iEndTdh");
            return (Criteria) this;
        }

        public Criteria andIEndTdhNotEqualTo(Integer value) {
            addCriterion("i_end_tdh <>", value, "iEndTdh");
            return (Criteria) this;
        }

        public Criteria andIEndTdhGreaterThan(Integer value) {
            addCriterion("i_end_tdh >", value, "iEndTdh");
            return (Criteria) this;
        }

        public Criteria andIEndTdhGreaterThanOrEqualTo(Integer value) {
            addCriterion("i_end_tdh >=", value, "iEndTdh");
            return (Criteria) this;
        }

        public Criteria andIEndTdhLessThan(Integer value) {
            addCriterion("i_end_tdh <", value, "iEndTdh");
            return (Criteria) this;
        }

        public Criteria andIEndTdhLessThanOrEqualTo(Integer value) {
            addCriterion("i_end_tdh <=", value, "iEndTdh");
            return (Criteria) this;
        }

        public Criteria andIEndTdhIn(List<Integer> values) {
            addCriterion("i_end_tdh in", values, "iEndTdh");
            return (Criteria) this;
        }

        public Criteria andIEndTdhNotIn(List<Integer> values) {
            addCriterion("i_end_tdh not in", values, "iEndTdh");
            return (Criteria) this;
        }

        public Criteria andIEndTdhBetween(Integer value1, Integer value2) {
            addCriterion("i_end_tdh between", value1, value2, "iEndTdh");
            return (Criteria) this;
        }

        public Criteria andIEndTdhNotBetween(Integer value1, Integer value2) {
            addCriterion("i_end_tdh not between", value1, value2, "iEndTdh");
            return (Criteria) this;
        }

        public Criteria andVZdCodeIsNull() {
            addCriterion("v_zd_code is null");
            return (Criteria) this;
        }

        public Criteria andVZdCodeIsNotNull() {
            addCriterion("v_zd_code is not null");
            return (Criteria) this;
        }

        public Criteria andVZdCodeEqualTo(String value) {
            addCriterion("v_zd_code =", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeNotEqualTo(String value) {
            addCriterion("v_zd_code <>", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeGreaterThan(String value) {
            addCriterion("v_zd_code >", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_zd_code >=", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeLessThan(String value) {
            addCriterion("v_zd_code <", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeLessThanOrEqualTo(String value) {
            addCriterion("v_zd_code <=", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeLike(String value) {
            addCriterion("v_zd_code like", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeNotLike(String value) {
            addCriterion("v_zd_code not like", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeIn(List<String> values) {
            addCriterion("v_zd_code in", values, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeNotIn(List<String> values) {
            addCriterion("v_zd_code not in", values, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeBetween(String value1, String value2) {
            addCriterion("v_zd_code between", value1, value2, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeNotBetween(String value1, String value2) {
            addCriterion("v_zd_code not between", value1, value2, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNull() {
            addCriterion("v_cf_code is null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNotNull() {
            addCriterion("v_cf_code is not null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeEqualTo(String value) {
            addCriterion("v_cf_code =", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotEqualTo(String value) {
            addCriterion("v_cf_code <>", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThan(String value) {
            addCriterion("v_cf_code >", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_cf_code >=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThan(String value) {
            addCriterion("v_cf_code <", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThanOrEqualTo(String value) {
            addCriterion("v_cf_code <=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLike(String value) {
            addCriterion("v_cf_code like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotLike(String value) {
            addCriterion("v_cf_code not like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIn(List<String> values) {
            addCriterion("v_cf_code in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotIn(List<String> values) {
            addCriterion("v_cf_code not in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeBetween(String value1, String value2) {
            addCriterion("v_cf_code between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotBetween(String value1, String value2) {
            addCriterion("v_cf_code not between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVRemarkIsNull() {
            addCriterion("v_remark is null");
            return (Criteria) this;
        }

        public Criteria andVRemarkIsNotNull() {
            addCriterion("v_remark is not null");
            return (Criteria) this;
        }

        public Criteria andVRemarkEqualTo(String value) {
            addCriterion("v_remark =", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotEqualTo(String value) {
            addCriterion("v_remark <>", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkGreaterThan(String value) {
            addCriterion("v_remark >", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("v_remark >=", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLessThan(String value) {
            addCriterion("v_remark <", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLessThanOrEqualTo(String value) {
            addCriterion("v_remark <=", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLike(String value) {
            addCriterion("v_remark like", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotLike(String value) {
            addCriterion("v_remark not like", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkIn(List<String> values) {
            addCriterion("v_remark in", values, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotIn(List<String> values) {
            addCriterion("v_remark not in", values, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkBetween(String value1, String value2) {
            addCriterion("v_remark between", value1, value2, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotBetween(String value1, String value2) {
            addCriterion("v_remark not between", value1, value2, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIsNull() {
            addCriterion("v_update_time is null");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIsNotNull() {
            addCriterion("v_update_time is not null");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeEqualTo(Date value) {
            addCriterion("v_update_time =", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotEqualTo(Date value) {
            addCriterion("v_update_time <>", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeGreaterThan(Date value) {
            addCriterion("v_update_time >", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("v_update_time >=", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeLessThan(Date value) {
            addCriterion("v_update_time <", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("v_update_time <=", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIn(List<Date> values) {
            addCriterion("v_update_time in", values, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotIn(List<Date> values) {
            addCriterion("v_update_time not in", values, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("v_update_time between", value1, value2, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("v_update_time not between", value1, value2, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonIsNull() {
            addCriterion("v_update_person is null");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonIsNotNull() {
            addCriterion("v_update_person is not null");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonEqualTo(String value) {
            addCriterion("v_update_person =", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotEqualTo(String value) {
            addCriterion("v_update_person <>", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonGreaterThan(String value) {
            addCriterion("v_update_person >", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonGreaterThanOrEqualTo(String value) {
            addCriterion("v_update_person >=", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonLessThan(String value) {
            addCriterion("v_update_person <", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonLessThanOrEqualTo(String value) {
            addCriterion("v_update_person <=", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonLike(String value) {
            addCriterion("v_update_person like", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotLike(String value) {
            addCriterion("v_update_person not like", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonIn(List<String> values) {
            addCriterion("v_update_person in", values, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotIn(List<String> values) {
            addCriterion("v_update_person not in", values, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonBetween(String value1, String value2) {
            addCriterion("v_update_person between", value1, value2, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotBetween(String value1, String value2) {
            addCriterion("v_update_person not between", value1, value2, "vUpdatePerson");
            return (Criteria) this;
        }
    }

    /**
     * t_dcsqtinfo
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_dcsqtinfo 2019-01-16
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}